zrush = zrush or {}
zrush.Fuel = {}
function zrush.f.CreateFuelTypes(data)
	return table.insert(zrush.Fuel, data)
end

// Fuel Settings
///////////////////////
// Fuel Registration
/*
	Values for this are
	Name			   : The Name of the Fuel
	FuelColor		   : The Color of the Fuel
	RefineOutput	   : How much Fuel do we get from the refined Oil (0.5 = 50%)
	BasePrice		   : The Start Sell Price of the Fuel per Unit (Liter,etc..)
	Ranks			   : The Ranks which are allowed do refine this Fuel
*/

local Mult = 0.28

zrush.f.CreateFuelTypes({
	name = "Normales Benzin",
	color = Color(211,190,255),
	refineoutput = 1,
	price = math.floor(320 * Mult),
	ranks = {}
})

zrush.f.CreateFuelTypes({
	name = "Wertvolles Benzin",
	color = Color(255,236,110),
	refineoutput = 0.8,
	price = math.floor(400 * Mult),
	ranks = {}
})

zrush.f.CreateFuelTypes({
	name = "Premium Benzin",
	color = Color(211,255,149),
	refineoutput = 0.6,
	price = math.floor(510 * Mult),
	ranks = {}
})

zrush.f.CreateFuelTypes({
	name = "Normaler Diesel",
	color = Color(255,227,190),
	refineoutput = 0.9,
	price = math.floor(340 * Mult),
	ranks = {}
})

zrush.f.CreateFuelTypes({
	name = "Wertvoller Diesel",
	color = Color(248,154,53),
	refineoutput = 0.7,
	price = math.floor(440 * Mult),
	ranks = {}
})

zrush.f.CreateFuelTypes({
	name = "Premium Diesel",
	color = Color(255,68,31),
	refineoutput = 0.5,
	price = math.floor(560 * Mult),
	ranks = {}
})

///////////////////////
